### Constructor

# Foundry DocumentationIntent new

since: 1.1

#### Declaration [src]

    FoundryIntent*
    foundry_documentation_intent_new (
      FoundryDocumentation* documentation
    )

#### Description [src]

Creates a new `FoundryDocumentationIntent` for displaying the given `documentation`.

Available since: 1.1

#### Parameters

`documentation`

  Type: `FoundryDocumentation`

  A `FoundryDocumentation`.

  The data is owned by the caller of the function.

#### Return value

Type: `FoundryIntent`

A new `FoundryDocumentationIntent`.

The caller of the function takes ownership of the data, and is responsible for freeing it.